## csync-owncloud 0.50.7

=== CMakeLists.txt ===
project(csync C)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "50")
set(APPLICATION_VERSION_PATCH "7")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

set(LIBRARY_VERSION "0.1.7")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

include(DefineInstallationPaths)
# install .dlls to bin/
set(BIN_INSTALL_DIR "bin" CACHE PATH "-")

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# add macros
include(MacroAddPlugin)
include(MacroCopyFile)

find_package(Log4C)
if(NOT LOG4C_FOUND)
    set(WITH_LOG4C FALSE)
endif()

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

if (MEM_NULL_TESTS)
  add_definitions(-DCSYNC_MEM_NULL_TESTS)
endif (MEM_NULL_TESTS)

add_subdirectory(src)
add_subdirectory(modules)
add_subdirectory(client)
add_subdirectory(config)
add_subdirectory(doc)

find_package(Check)
if (CHECK_FOUND AND UNIT_TESTING)
  include(MacroAddCheckTest)
  add_subdirectory(tests)
endif (CHECK_FOUND AND UNIT_TESTING)

=== src/CMakeLists.txt ===
project(libcsync C)

add_subdirectory(std)

find_package(SQLite3 REQUIRED)
find_package(Iniparser REQUIRED)

set(CSYNC_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  CACHE INTERNAL "csync public include directories"
)

set(CSYNC_PRIVATE_INCLUDE_DIRS
  ${INIPARSER_INCLUDE_DIRS}
  ${SQLITE3_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
)

set(CSYNC_LIBRARY
  csync
  CACHE INTERNAL "csync library"
)

set(CSYNC_LINK_LIBRARIES
  ${CSYNC_LIBRARY}
  ${CSTDLIB_LIBRARY}
  ${CSYNC_REQUIRED_LIBRARIES}
  ${INIPARSER_LIBRARIES}

  ${SQLITE3_LIBRARIES}
)

if(LOG4C_FOUND)
    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${LOG4C_INCLUDE_DIRS})
    list(APPEND CSYNC_LINK_LIBRARIES ${LOG4C_LIBRARIES})
endif()

set(csync_SRCS
  csync.c
  csync_config.c
  csync_exclude.c
  csync_statedb.c
  csync_time.c
  csync_util.c
  csync_misc.c

  csync_update.c
  csync_reconcile.c
  csync_propagate.c

  vio/csync_vio.c
  vio/csync_vio_handle.c
  vio/csync_vio_file_stat.c
  vio/csync_vio_local.c
)

if(NOT WIN32)
  list(APPEND csync_SRCS csync_lock.c)
endif()

set(csync_HDRS
  csync.h
  vio/csync_vio.h
  vio/csync_vio_file_stat.h
  vio/csync_vio_handle.h
  vio/csync_vio_method.h
  vio/csync_vio_module.h
)

include_directories(
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSYNC_PRIVATE_INCLUDE_DIRS}
)

add_library(${CSYNC_LIBRARY} SHARED ${csync_SRCS})

target_link_libraries(${CSYNC_LINK_LIBRARIES})

set_target_properties(
  ${CSYNC_LIBRARY}
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

INSTALL(
  TARGETS
    ${CSYNC_LIBRARY}
  LIBRARY DESTINATION
    ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION
    ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION
    ${BIN_INSTALL_DIR}
)

INSTALL(
  FILES
    ${csync_HDRS}
  DESTINATION
    ${INCLUDE_INSTALL_DIR}/${APPLICATION_NAME}
)

=== tests/CMakeLists.txt ===
project(tests C)

set(SUPPORT_LIBRARY support)

include_directories(
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CHECK_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
)

# create test library
add_library(${SUPPORT_LIBRARY} STATIC support.c cmdline.c)
target_link_libraries(${SUPPORT_LIBRARY} ${CHECK_LIBRARIES} ${CSYNC_LIBRARY} ${CSTDLIB_LIBRARY})

set(TEST_TARGET_LIBRARIES ${SUPPORT_LIBRARY})

# create tests

# std
macro_add_check_test(check_std_c_alloc std_tests/check_std_c_alloc.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_dir std_tests/check_std_c_dir.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_file std_tests/check_std_c_file.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_jhash std_tests/check_std_c_jhash.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_list std_tests/check_std_c_list.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_path std_tests/check_std_c_path.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_rbtree std_tests/check_std_c_rbtree.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_str std_tests/check_std_c_str.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_std_c_time std_tests/check_std_c_time.c ${TEST_TARGET_LIBRARIES})

# csync tests
macro_add_check_test(check_logger log_tests/check_log.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_create csync_tests/check_csync_create.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_lock csync_tests/check_csync_lock.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_config csync_tests/check_csync_config.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_exclude csync_tests/check_csync_exclude.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_statedb_load csync_tests/check_csync_statedb_load.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_time csync_tests/check_csync_time.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_util csync_tests/check_csync_util.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_treewalk csync_tests/check_csync_treewalk.c ${TEST_TARGET_LIBRARIES})

# csync tests which require init
macro_add_check_test(check_csync_init csync_tests/check_csync_init.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_csync_statedb_query csync_tests/check_csync_statedb_query.c ${TEST_TARGET_LIBRARIES})

# vio
macro_add_check_test(check_vio_handle vio_tests/check_vio_handle.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_vio_file_stat vio_tests/check_vio_file_stat.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_vio_local vio_tests/check_vio_local.c ${TEST_TARGET_LIBRARIES})
macro_add_check_test(check_vio vio_tests/check_vio.c ${TEST_TARGET_LIBRARIES})

# sync
macro_add_check_test(check_csync_update csync_tests/check_csync_update.c ${TEST_TARGET_LIBRARIES})

=== src/std/CMakeLists.txt ===
project(cstdlib C)

set(CSTDLIB_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  CACHE INTERNAL "cstdlib public include directories"
)

set(CSYNC_PRIVATE_INCLUDE_DIRS
)

set(CSTDLIB_LIBRARY
  cstdlib
  CACHE INTERNAL "cstdlib library"
)

set(CSTDLIB_LINK_LIBRARIES
  ${CSTDLIB_LIBRARY}
)

set(cstdlib_SRCS
  c_alloc.c
  c_dir.c
  c_file.c
  c_list.c
  c_path.c
  c_rbtree.c
  c_string.c
  c_time.c
)

include_directories(
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CSTDLIB_PRIVATE_INCLUDE_DIRS}
)

add_library(${CSTDLIB_LIBRARY} STATIC ${cstdlib_SRCS})
if(NOT WIN32)
    add_definitions( -fPIC )
endif()
if(NOT HAVE_FNMATCH AND WIN32)
  # needed for PathMatchSpec for our fnmatch replacement
  target_link_libraries(${CSTDLIB_LIBRARY} ${SHLWAPI_LIBRARY})
endif()

## csync-owncloud 0.50.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 set(APPLICATION_VERSION_MAJOR "0")
 set(APPLICATION_VERSION_MINOR "50")
-set(APPLICATION_VERSION_PATCH "7")
+set(APPLICATION_VERSION_PATCH "8")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
-set(LIBRARY_VERSION "0.1.7")
+set(LIBRARY_VERSION "0.1.8")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -46,6 +46,10 @@
 
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
+set(SOURCE_DIR ${CMAKE_SOURCE_DIR})
+configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)
+
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)
@@ -61,8 +65,10 @@
 add_subdirectory(doc)
 
 find_package(Check)
-if (CHECK_FOUND AND UNIT_TESTING)
+if (CHECK_FOUND)
   include(MacroAddCheckTest)
+endif (CHECK_FOUND)
+if (UNIT_TESTING)
   add_subdirectory(tests)
-endif (CHECK_FOUND AND UNIT_TESTING)
+endif(UNIT_TESTING)

=== client/CMakeLists.txt ===
project(client C)

set(CLIENT_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  CACHE INTERNAL "csync client public include directories"
)

set(CLIENT_PRIVATE_INCLUDE_DIRS
  ${CMAKE_BINARY_DIR}
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${ARGP_INCLUDE_DIRS}
)

set(CLIENT_EXECUTABLE
  csync_client
  CACHE INTERNAL "csync client"
)

set(CLIENT_LINK_LIBRARIES
  ${CLIENT_EXECUTABLE}
  ${CSYNC_LIBRARY}
)

if(NOT LINUX)
  list(APPEND CLIENT_LINK_LIBRARIES ${ARGP_LIBRARIES})
endif()

set(client_SRCS
  csync_client.c
  csync_auth.c
)

include_directories(
  ${CLIENT_PUBLIC_INCLUDE_DIRS}
  ${CLIENT_PRIVATE_INCLUDE_DIRS}
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
)

add_executable(${CLIENT_EXECUTABLE} ${client_SRCS})

target_link_libraries(${CLIENT_LINK_LIBRARIES})

set_target_properties(
  ${CLIENT_EXECUTABLE}
  PROPERTIES
    OUTPUT_NAME
      csync
)

install(
  TARGETS
    csync_client
  DESTINATION
  ${BIN_INSTALL_DIR}
)

=== config/CMakeLists.txt ===
macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/csync.conf ${CMAKE_CURRENT_BINARY_DIR}/csync.conf)
macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/csync_exclude.conf ${CMAKE_CURRENT_BINARY_DIR}/csync_exclude.conf)
macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/csync_log.conf ${CMAKE_CURRENT_BINARY_DIR}/csync_log.conf)

install(
  FILES
    csync.conf
    csync_exclude.conf
    csync_log.conf
  DESTINATION
    ${SYSCONF_INSTALL_DIR}/csync
)

=== doc/CMakeLists.txt ===
project(doc C)
# Build the documentation
#

include(UseDoxygen OPTIONAL)

file(GLOB _manpages *.[0-9].txt)
add_custom_target(man
  COMMAND
    ${CMAKE_CURRENT_SOURCE_DIR}/makeman.sh ${_manpages}
  WORKING_DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_custom_target(userguide
  COMMAND
    ${CMAKE_CURRENT_SOURCE_DIR}/makeguide.sh csync.txt
  WORKING_DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
)

install(
  FILES
    csync.1
  DESTINATION
    ${MAN_INSTALL_DIR}/man1
)

install(
  DIRECTORY
    userguide
  DESTINATION
    ${SHARE_INSTALL_PREFIX}/doc/csync
)

=== modules/CMakeLists.txt ===
project(modules C)

find_package(Libsmbclient)
find_package(LibSSH 0.4.0)
find_package(Neon)

set(PLUGIN_VERSION_INSTALL_DIR "${PLUGIN_INSTALL_DIR}-${LIBRARY_SOVERSION}")

set(MODULES_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  CACHE INTERNAL "modules include directories"
)

set(MODULES_PRIVATE_INCLUDE_DIRS
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
)

set(SMB_PLUGIN
  csync_smb
)

set(SFTP_PLUGIN
  csync_sftp
)

set(OWNCLOUD_PLUGIN
    csync_owncloud
)

include_directories(
  ${MODULES_PUBLIC_INCLUDE_DIRS}
  ${MODULES_PRIVATE_INCLUDE_DIRS}
)

if(LIBSMBCLIENT_FOUND)
include_directories(${LIBSMBCLIENT_INCLUDE_DIRS})
macro_add_plugin(${SMB_PLUGIN} csync_smb.c)
target_link_libraries(${SMB_PLUGIN} ${CSYNC_LIBRARY} ${LIBSMBCLIENT_LIBRARIES})

install(
  TARGETS
    ${SMB_PLUGIN}
  DESTINATION
    ${PLUGIN_VERSION_INSTALL_DIR}
)
endif()

macro_add_plugin(csync_dummy csync_dummy.c)
target_link_libraries(csync_dummy ${CSYNC_LIBRARY})

if (LIBSSH_FOUND)
macro_add_plugin(${SFTP_PLUGIN} csync_sftp.c)
target_link_libraries(${SFTP_PLUGIN} ${CSYNC_LIBRARY} ${LIBSSH_LIBRARIES})

install(
  TARGETS
    ${SFTP_PLUGIN}
  DESTINATION
    ${PLUGIN_VERSION_INSTALL_DIR}
)
endif (LIBSSH_FOUND)

if (NEON_FOUND)
    include_directories( ${NEON_INCLUDE_DIRS} )
    macro_add_plugin(${OWNCLOUD_PLUGIN} csync_owncloud.c)
    target_link_libraries(${OWNCLOUD_PLUGIN} ${CSYNC_LIBRARY} ${NEON_LIBRARIES})

    install(
        TARGETS
	${OWNCLOUD_PLUGIN}
        DESTINATION
        ${PLUGIN_VERSION_INSTALL_DIR}
        )
endif (NEON_FOUND)

# create test file as bad plugin for the vio testcase
file(WRITE
  ${CMAKE_CURRENT_BINARY_DIR}/csync_bad.so
  "bad plugin"
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 find_package(SQLite3 REQUIRED)
 find_package(Iniparser REQUIRED)
+if(CMAKE_CROSSCOMPILING)
+    find_package(OpenSSLCross REQUIRED)
+else()
+    find_package(OpenSSL REQUIRED)
+endif()
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -12,6 +17,7 @@
 )
 
 set(CSYNC_PRIVATE_INCLUDE_DIRS
+  ${OPENSSL_INCLUDE_DIRS}
   ${INIPARSER_INCLUDE_DIRS}
   ${SQLITE3_INCLUDE_DIRS}
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
@@ -28,7 +34,7 @@
   ${CSTDLIB_LIBRARY}
   ${CSYNC_REQUIRED_LIBRARIES}
   ${INIPARSER_LIBRARIES}
-
+  ${OPENSSL_LIBRARIES}
   ${SQLITE3_LIBRARIES}
 )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,11 @@
 include_directories(
   ${CSYNC_PUBLIC_INCLUDE_DIRS}
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
-  ${CHECK_INCLUDE_DIRS}
   ${CMAKE_BINARY_DIR}
 )
 
+if (CHECK_FOUND)
+include_directories(${CHECK_INCLUDE_DIRS})
 # create test library
 add_library(${SUPPORT_LIBRARY} STATIC support.c cmdline.c)
 target_link_libraries(${SUPPORT_LIBRARY} ${CHECK_LIBRARIES} ${CSYNC_LIBRARY} ${CSTDLIB_LIBRARY})
@@ -51,4 +52,7 @@
 
 # sync
 macro_add_check_test(check_csync_update csync_tests/check_csync_update.c ${TEST_TARGET_LIBRARIES})
+endif (CHECK_FOUND)
 
+add_subdirectory(ownCloud)
+

=== tests/ownCloud/mocka/CMakeLists.txt ===
project( ocmod C )

add_definitions(-DUNIT_TESTING=1)

find_package(CMocka REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_INCLUDE_DIRS}
    ${NEON_INCLUDE_DIRS}
)


add_executable(ocmod_test ocmod_test.c)
add_executable(md5_test   md5_test.c)

target_link_libraries(ocmod_test ${CMOCKA_LIBRARIES} ${NEON_LIBRARIES} ${CSYNC_LIBRARY} )

target_link_libraries(md5_test ${CMOCKA_LIBRARIES} ${CSYNC_LIBRARY} )

=== debian/changelog ===
csync-owncloud (0.50.8-0ubuntu2) quantal; urgency=low

  * Use mhash instead of OpenSSL to calculate MD5 hashes to avoid
    GPL+OpenSSL license conflicts.
  * Add a symbols file.
  * Enable parallel building.
  * Install csync user guide.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 22 Aug 2012 11:38:47 +0200

csync-owncloud (0.50.8-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 16:56:40 +0100

csync-owncloud (0.50.7-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 16:44:59 +0100

=== debian/control ===
Source: csync-owncloud
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Müller <thomas.mueller@tmit.eu>
Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, libsmbclient-dev, check, libmhash-dev
Standards-Version: 3.9.3
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: csync-owncloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcsync-plugin-smb, libcsync-plugin-sftp
Description: library for user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-smb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: SMB plugin for csync
 This plug-in allows applications using csync to synchronize with a
 Samba or Windows server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-sftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: SFTP plugin for csync
 This plug-in allows applications using csync to synchronize with an
 SFTP server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-owncloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: OwnCloud plugin for csync
 This plug-in allows applications using csync to synchronize with an
 OwnCloud server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-dev
Architecture: any
Section: libdevel
Depends: libcsync0 (= ${binary:Version}), ${misc:Depends}
Description: library for user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_LOG4C=OFF \
		-DLOG_TO_CALLBACK=ON -DSYSCONF_INSTALL_DIR=/etc

override_dh_install:
	dh_install --fail-missing
